package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag705;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT705Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag44FCreator extends AbsTagCreate {

     private MT705Creator mt705Creator;

    public Tag44FCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt705Creator= (MT705Creator) absMTCreator;
    }

    public void creator()
    {
        String tag44FValue = mt705Creator.getPortofDischargeAirportofDestination();
        mt705Creator.set("44F", tag44FValue);
    }
}

